%define upstream_name    Dist-Zilla-PluginBundle-FAYLAND
%define upstream_version 0.16

# https://rt.cpan.org/Ticket/Display.html?id=66171
%global __requires_exclude perl\\(Dist::Zilla::Plugin::LoadTests\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Dist::Zilla like FAYLAND when you build your dists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 5.0.0
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangeLog) >= 0.10.0
BuildRequires: perl(Dist::Zilla::Plugin::Git::Contributors) >= 0.4.0
BuildRequires: perl(Dist::Zilla::Plugin::PerlTidy) >= 0.60.0
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver) >= 3.92.971
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod) >= 0.200.0
BuildRequires: perl(Dist::Zilla::Plugin::Repository) >= 0.80.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile) >= 0.50.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.160.0-3.mga9
+ Revision: 1811147
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.160.0-2.mga8
+ Revision: 1521408
- Mageia 8 Mass Rebuild

* Fri Dec 21 2018 tv <tv> 0.160.0-1.mga7
+ Revision: 1344142
- update to 0.16

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-5.mga7
+ Revision: 1283367
- Mageia 7 Mass Rebuild

* Wed Oct 11 2017 tv <tv> 0.140.0-4.mga7
+ Revision: 1170926
- add missing BRs

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-3.mga6
+ Revision: 1025965
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.140.0-2.mga6
+ Revision: 967915
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.140.0-1.mga6
+ Revision: 850797
- update to 0.14

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 739185
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Feb 07 2014 sander85 <sander85> 0.120.0-1.mga5
+ Revision: 585566
- update to 0.12

* Mon Oct 21 2013 umeabot <umeabot> 0.110.0-2.mga4
+ Revision: 537096
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.110.0-1.mga4
+ Revision: 486326
- update to 0.11

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 366631
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.100.0-1.mga3
+ Revision: 315710
- adding missing buildrequires:
- update to 0.10
- update to 0.09
- update to 0.08

* Thu Mar 17 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 73201
- update to 0.07

* Wed Jan 26 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 41086
- mageia rebuild
- imported package perl-Dist-Zilla-PluginBundle-FAYLAND

